import { AfterViewInit, ElementRef, NgZone, OnDestroy } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { Size } from './size';
import * as i0 from "@angular/core";
export declare class BsObserveSizeDirective implements AfterViewInit, OnDestroy {
    private element;
    private platformId;
    private zone;
    constructor(element: ElementRef, platformId: any, zone: NgZone);
    private observer?;
    size$: BehaviorSubject<Size | undefined>;
    width$: Observable<number | undefined>;
    height$: Observable<number | undefined>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsObserveSizeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsObserveSizeDirective, "[bsObserveSize]", ["bsObserveSize"], {}, {}, never, never, true, never>;
}
